"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.migrateContract = exports.upgradeContract = exports.authorizeUpgrade = void 0;
// Contract upgrade
const authorizeUpgrade = (address, vaa) => {
    if (!address)
        throw new Error("Need bridge address.");
    return {
        function: `${address}::contract_upgrade::submit_vaa_entry`,
        type_arguments: [],
        arguments: [vaa],
    };
};
exports.authorizeUpgrade = authorizeUpgrade;
const upgradeContract = (address, metadataSerialized, code) => {
    if (!address)
        throw new Error("Need bridge address.");
    return {
        function: `${address}::contract_upgrade::upgrade`,
        type_arguments: [],
        arguments: [metadataSerialized, code],
    };
};
exports.upgradeContract = upgradeContract;
const migrateContract = (address) => {
    if (!address)
        throw new Error("Need bridge address.");
    return {
        function: `${address}::contract_upgrade::migrate`,
        type_arguments: [],
        arguments: [],
    };
};
exports.migrateContract = migrateContract;
